; coco main
	opt	forwardrefmax
#include	coco\main_lib.txt
#memstart	28672	;$7000
	org	$3000	;mem start?
start
; code here
	cls(#0,#1)
loop
	rnd(#0,#8)
	stb	col
	rnd(#0,#63)
	stb	x1
	rnd(#0,#31)
	stb	y1
	rnd(#0,#63)
	stb	x2
	rnd(#0,#31)
	stb	y2
	line(#0,x1,y1,x2,y2,col)
	lbra	loop


	rts	;return to basic
x1	fcb	0
y1	fcb	0
x2	fcb	0
y2	fcb	0
col	fcb	0
; end of program
cocoromend

	end	start



